aboutsummaryrefslogtreecommitdiffstats
path: root/testing/mate-settings-daemon
diff options
context:
space:
mode:
authorAlan Lacerda <alacerda@alpinelinux.org>2014-12-15 14:47:51 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-12-19 18:33:13 +0000
commit5c21846772319e8843958c52bcaf48b0a24531ef (patch)
tree3ed4dfb030c88b0db8cf39261016d7618748b5ed /testing/mate-settings-daemon
parenta18fc9e220d0c83a74d288e7acb00e4a7bcb62b0 (diff)
downloadaports-5c21846772319e8843958c52bcaf48b0a24531ef.tar.gz
aports-5c21846772319e8843958c52bcaf48b0a24531ef.tar.bz2
aports-5c21846772319e8843958c52bcaf48b0a24531ef.tar.xz
testing/mate-settings-daemon: new aport
Diffstat (limited to 'testing/mate-settings-daemon')
-rw-r--r--testing/mate-settings-daemon/APKBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/testing/mate-settings-daemon/APKBUILD b/testing/mate-settings-daemon/APKBUILD
new file mode 100644
index 0000000000..a988522089
--- /dev/null
+++ b/testing/mate-settings-daemon/APKBUILD
@@ -0,0 +1,48 @@
+# Contributor: Alan Lacerda <alacerda@alpinelinux.org>
+# Maintainer:
+pkgname=mate-settings-daemon
+pkgver=1.9.5
+pkgrel=0
+pkgdesc="MATE Settings daemon"
+url="https://github.com/mate-desktop/mate-settings-daemon"
+arch="all"
+license="GPL2"
+depends="mate-common mate-desktop"
+depends_dev=""
+makedepends="$depends_dev libtool intltool libmatekbd-dev freeglut-dev
+ glib-dev gtk+-dev dbus-glib-dev dconf-dev libxklavier-dev libsm-dev
+ mate-desktop-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="${pkgdir}" install || return 1
+ find "$pkgdir" -name \*.la -delete
+}
+
+md5sums="93c5affba385c313bc19086a41e4e7b7 mate-settings-daemon-1.9.5.tar.xz"
+sha256sums="dad85da35ed6581d17564da0f0a6546a0c904bc0d5923afd295e0ead2ac00350 mate-settings-daemon-1.9.5.tar.xz"
+sha512sums="05ad0f8cda5ffcacc6b442cdd7785ec959a95212f4fd2bc7e6a2cacfa78c6f53331f459a555d00248bc6e23198e3b6932e9226269a077c4590c3b87bb29d71d6 mate-settings-daemon-1.9.5.tar.xz"